> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update user

> Update a user



## OpenAPI

````yaml https://api.getcargo.io/openapi.json put /workspaceManagement/users/{uuid}
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /workspaceManagement/users/{uuid}:
    put:
      tags:
        - Workspace Management - Users
      summary: Update user
      description: Update a user
      parameters:
        - in: path
          name: uuid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
            title: UUID
            description: User identifier.
          required: true
          description: User identifier.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                roleSlug:
                  type: string
                permissions:
                  type: array
                  items:
                    type: object
                    properties:
                      effect:
                        type: string
                        enum:
                          - allow
                          - deny
                      resources:
                        anyOf:
                          - type: array
                            items:
                              type: string
                          - type: 'null'
                      actions:
                        type: array
                        items:
                          type: string
                          enum:
                            - ai:*
                            - ai:read
                            - ai:write
                            - ai:agent:*
                            - ai:agent:read
                            - ai:agent:write
                            - ai:mcpServer:*
                            - ai:mcpServer:read
                            - ai:mcpServer:write
                            - billing:*
                            - billing:read
                            - billing:write
                            - connection:*
                            - connection:read
                            - connection:write
                            - context:*
                            - context:read
                            - context:write
                            - domainManagement:*
                            - domainManagement:read
                            - domainManagement:write
                            - hosting:*
                            - hosting:read
                            - hosting:write
                            - hosting:app:*
                            - hosting:app:read
                            - hosting:app:write
                            - hosting:worker:*
                            - hosting:worker:read
                            - hosting:worker:write
                            - orchestration:*
                            - orchestration:read
                            - orchestration:write
                            - orchestration:workflow:*
                            - orchestration:workflow:read
                            - orchestration:workflow:write
                            - revenueOrganization:*
                            - revenueOrganization:read
                            - revenueOrganization:write
                            - segmentation:*
                            - segmentation:read
                            - segmentation:write
                            - storage:*
                            - storage:read
                            - storage:write
                            - content:*
                            - content:read
                            - content:write
                            - content:file:*
                            - content:file:read
                            - content:file:write
                            - systemOfRecordIntegration:*
                            - systemOfRecordIntegration:read
                            - systemOfRecordIntegration:write
                            - workspaceManagement:*
                            - workspaceManagement:read
                            - workspaceManagement:write
                            - workspaceManagement:folder:*
                            - workspaceManagement:folder:read
                            - workspaceManagement:folder:write
                    required:
                      - effect
                      - resources
                      - actions
              additionalProperties: false
              title: Request body
              description: Request body schema.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  user:
                    type: object
                    properties:
                      uuid:
                        type: string
                      email:
                        type: string
                      firstName:
                        anyOf:
                          - type: string
                          - type: 'null'
                      lastName:
                        anyOf:
                          - type: string
                          - type: 'null'
                      picture:
                        anyOf:
                          - type: string
                          - type: 'null'
                      lastSignInAt:
                        anyOf:
                          - type: string
                          - type: 'null'
                      createdAt:
                        type: string
                      workspaceUuid:
                        type: string
                      permissions:
                        type: array
                        items:
                          type: object
                          properties:
                            effect:
                              type: string
                              enum:
                                - allow
                                - deny
                            resources:
                              anyOf:
                                - type: array
                                  items:
                                    type: string
                                - type: 'null'
                            actions:
                              type: array
                              items:
                                type: string
                                enum:
                                  - ai:*
                                  - ai:read
                                  - ai:write
                                  - ai:agent:*
                                  - ai:agent:read
                                  - ai:agent:write
                                  - ai:mcpServer:*
                                  - ai:mcpServer:read
                                  - ai:mcpServer:write
                                  - billing:*
                                  - billing:read
                                  - billing:write
                                  - connection:*
                                  - connection:read
                                  - connection:write
                                  - context:*
                                  - context:read
                                  - context:write
                                  - domainManagement:*
                                  - domainManagement:read
                                  - domainManagement:write
                                  - hosting:*
                                  - hosting:read
                                  - hosting:write
                                  - hosting:app:*
                                  - hosting:app:read
                                  - hosting:app:write
                                  - hosting:worker:*
                                  - hosting:worker:read
                                  - hosting:worker:write
                                  - orchestration:*
                                  - orchestration:read
                                  - orchestration:write
                                  - orchestration:workflow:*
                                  - orchestration:workflow:read
                                  - orchestration:workflow:write
                                  - revenueOrganization:*
                                  - revenueOrganization:read
                                  - revenueOrganization:write
                                  - segmentation:*
                                  - segmentation:read
                                  - segmentation:write
                                  - storage:*
                                  - storage:read
                                  - storage:write
                                  - content:*
                                  - content:read
                                  - content:write
                                  - content:file:*
                                  - content:file:read
                                  - content:file:write
                                  - systemOfRecordIntegration:*
                                  - systemOfRecordIntegration:read
                                  - systemOfRecordIntegration:write
                                  - workspaceManagement:*
                                  - workspaceManagement:read
                                  - workspaceManagement:write
                                  - workspaceManagement:folder:*
                                  - workspaceManagement:folder:read
                                  - workspaceManagement:folder:write
                          required:
                            - effect
                            - resources
                            - actions
                          additionalProperties: false
                      role:
                        anyOf:
                          - type: object
                            properties:
                              uuid:
                                type: string
                              slug:
                                type: string
                              permissions:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    effect:
                                      type: string
                                      enum:
                                        - allow
                                        - deny
                                    resources:
                                      anyOf:
                                        - type: array
                                          items:
                                            type: string
                                        - type: 'null'
                                    actions:
                                      type: array
                                      items:
                                        type: string
                                        enum:
                                          - ai:*
                                          - ai:read
                                          - ai:write
                                          - ai:agent:*
                                          - ai:agent:read
                                          - ai:agent:write
                                          - ai:mcpServer:*
                                          - ai:mcpServer:read
                                          - ai:mcpServer:write
                                          - billing:*
                                          - billing:read
                                          - billing:write
                                          - connection:*
                                          - connection:read
                                          - connection:write
                                          - context:*
                                          - context:read
                                          - context:write
                                          - domainManagement:*
                                          - domainManagement:read
                                          - domainManagement:write
                                          - hosting:*
                                          - hosting:read
                                          - hosting:write
                                          - hosting:app:*
                                          - hosting:app:read
                                          - hosting:app:write
                                          - hosting:worker:*
                                          - hosting:worker:read
                                          - hosting:worker:write
                                          - orchestration:*
                                          - orchestration:read
                                          - orchestration:write
                                          - orchestration:workflow:*
                                          - orchestration:workflow:read
                                          - orchestration:workflow:write
                                          - revenueOrganization:*
                                          - revenueOrganization:read
                                          - revenueOrganization:write
                                          - segmentation:*
                                          - segmentation:read
                                          - segmentation:write
                                          - storage:*
                                          - storage:read
                                          - storage:write
                                          - content:*
                                          - content:read
                                          - content:write
                                          - content:file:*
                                          - content:file:read
                                          - content:file:write
                                          - systemOfRecordIntegration:*
                                          - systemOfRecordIntegration:read
                                          - systemOfRecordIntegration:write
                                          - workspaceManagement:*
                                          - workspaceManagement:read
                                          - workspaceManagement:write
                                          - workspaceManagement:folder:*
                                          - workspaceManagement:folder:read
                                          - workspaceManagement:folder:write
                                  required:
                                    - effect
                                    - resources
                                    - actions
                                  additionalProperties: false
                              workspaceUuid:
                                type: string
                              createdAt:
                                type: string
                            required:
                              - uuid
                              - slug
                              - permissions
                              - workspaceUuid
                              - createdAt
                            additionalProperties: false
                          - type: 'null'
                    required:
                      - uuid
                      - email
                      - firstName
                      - lastName
                      - picture
                      - lastSignInAt
                      - createdAt
                      - workspaceUuid
                      - permissions
                      - role
                    additionalProperties: false
                required:
                  - user
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````